=== curvetun/Makefile ===
curvetun-libs =	-l${CONFIG_NACL_LIB} \
		-lpthread

curvetun-objs =	xmalloc.o \
		epoll2.o \
		str.o \
		dev.o \
		stun.o \
		sock.o \
		sig.o \
		link.o \
		patricia.o \
		corking.o \
		trie.o \
		taia.o \
		hash.o \
		rnd.o \
		curve.o \
		curve_test.o \
		cookie.o \
		keypair.o \
		ioexact.o \
		ioops.o \
		cpusched.o \
		die.o \
		sysctl.o \
		curvetun_mgmt_servers.o \
		curvetun_mgmt_users.o \
		curvetun_server.o \
		curvetun_client.o \
		curvetun.o

curvetun-eflags = -I ${CONFIG_NACL_INC_DIR}

curvetun-confs =
