=== debian/changelog ===
netsniff-ng (0.6.0-1build2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:43:49 +0000

netsniff-ng (0.6.0-1build1) xenial; urgency=medium

  * Rebuild for liburcu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Nov 2015 23:07:57 +0000

netsniff-ng (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Added Build-Depends on libnl-route-3-dev
  * debian/copyright:
    + Added missing *.zsh files copyright.

 -- Kartik Mistry <kartik@debian.org>  Sat, 07 Nov 2015 12:42:13 +0530

netsniff-ng (0.5.9-3) unstable; urgency=low

  * Use libsodium instead of libnacl. Thanks to Tomasz Buchert
    <tomasz@debian.org> for patch.

 -- Kartik Mistry <kartik@debian.org>  Wed, 23 Sep 2015 17:03:50 +0530

netsniff-ng (0.5.9-2) unstable; urgency=low

  * debian/control:
    + Remove cmake from Build-Depends, as it's no longer used.
    + Fixed Vcs-Browser path.
    + Bumped debhelper dependency and debian/compat.
  * debian/rules:
    + Use verbose build to make compiler flags visible in buildd logs.

 -- Kartik Mistry <kartik@debian.org>  Sat, 22 Aug 2015 17:05:08 +0530
