=== debian/control ===
Source: netsniff-ng
Section: net
Priority: optional
Build-Depends: bison,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               flex,
               libcli-dev,
               libgeoip-dev,
               libncurses5-dev,
               libnet1-dev,
               libnetfilter-conntrack-dev,
               libnl-3-dev,
               libnl-genl-3-dev,
               libnl-route-3-dev,
               libpcap-dev,
               libsodium-dev,
               liburcu-dev,
               zlib1g-dev
Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
Uploaders: Kartik Mistry <kartik@debian.org>,
           Tobias Klauser <tklauser@distanz.ch>
Standards-Version: 3.9.6
Homepage: http://www.netsniff-ng.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/netsniff-ng.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git

Package: netsniff-ng
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ntp
Description: Linux network packet sniffer toolkit
 netsniff-ng is a high performance Linux network sniffer for packet inspection.
 It can be used for protocol analysis, reverse engineering or network
 debugging. The gain of performance is reached by 'zero-copy' mechanisms, so
 that the kernel does not need to copy packets from kernelspace to userspace.
 .
 netsniff-ng toolkit currently consists of the following utilities:
 .
  * netsniff-ng: the zero-copy sniffer, pcap capturer and replayer itself.
  * astraceroute: an autonomous system trace route and DPI testing utility.
  * bpfc: a tiny Berkeley Packet Filter compiler supporting Linux extensions.
  * curvetun: a lightweight curve25519-based multiuser IP tunnel.
  * flowtop: a top-like netfilter connection tracking tool.
  * ifpps: a top-like kernel networking and system statistics tool.
  * mausezahn: a fast versatile packet generator with Cisco-cli.
  * trafgen: a high performance zero-copy network packet generator.
