## netsniff-ng 0.6.1

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 0
+SUBLEVEL = 1
 EXTRAVERSION =
-NAME = avril altdelay
+NAME = aisatsana
 
 TOOLS ?= $(CONFIG_TOOLS)
 TOOLS ?= netsniff-ng trafgen astraceroute flowtop ifpps bpfc curvetun mausezahn
@@ -181,4 +181,4 @@
 %:: ;
 
 $(TOOLS):
-	$(LDQ) $(LDFLAGS) -o $@/$@ $@/*.o $($@-libs)
+	$(LDQ) $(LDFLAGS) -o $@/$@ $(shell LC_ALL=C ls $@/*.o) $($@-libs)
