=== flowtop/Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 endif
 
 flowtop-objs =	xmalloc.o \
-		oui.o \
 		str.o \
 		sig.o \
 		sock.o \
