=== netsniff-ng/Makefile ===
--- 
+++ 
@@ -55,7 +55,6 @@
 			xmalloc.o \
 			hash.o \
 			bpf.o \
-			oui.o \
 			pcap_rw.o \
 			pcap_sg.o \
 			pcap_mm.o \
