=== trafgen/Makefile ===
--- 
+++ 
@@ -18,6 +18,11 @@
 		ring.o \
 		timer.o \
 		sysctl.o \
+		cpp.o \
+		trafgen_proto.o \
+		trafgen_l2.o \
+		trafgen_l3.o \
+		trafgen_l4.o \
 		trafgen_lexer.yy.o \
 		trafgen_parser.tab.o \
 		trafgen.o
