=== debian/changelog ===
netsniff-ng (0.6.1-2) unstable; urgency=low

  * debian/rules:
    + Unhide compiler flags.

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Apr 2016 09:07:46 +0530

netsniff-ng (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.7
    + Fixed Vcs-* URLs.
    + Updated long description.

 -- Kartik Mistry <kartik@debian.org>  Wed, 27 Apr 2016 10:58:43 +0530
