=== debian/control ===
--- 
+++ 
@@ -20,9 +20,9 @@
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.netsniff-ng.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/netsniff-ng.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/netsniff-ng.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
 
 Package: netsniff-ng
@@ -37,11 +37,11 @@
  .
  netsniff-ng toolkit currently consists of the following utilities:
  .
-  * netsniff-ng: the zero-copy sniffer, pcap capturer and replayer itself.
-  * astraceroute: an autonomous system trace route and DPI testing utility.
-  * bpfc: a tiny Berkeley Packet Filter compiler supporting Linux extensions.
-  * curvetun: a lightweight curve25519-based multiuser IP tunnel.
-  * flowtop: a top-like netfilter connection tracking tool.
-  * ifpps: a top-like kernel networking and system statistics tool.
-  * mausezahn: a fast versatile packet generator with Cisco-cli.
-  * trafgen: a high performance zero-copy network packet generator.
+  * netsniff-ng: a zero-copy packet analyzer, pcap capturing/replaying tool
+  * trafgen: a multithreaded low-level zero-copy network packet generator
+  * mausezahn: high-level packet generator for appliances with Cisco-CLI
+  * ifpps: a top-like kernel networking and system statistics tool
+  * curvetun: a lightweight curve25519-based multiuser IP tunnel
+  * astraceroute: an autonomous system trace route and DPI testing utility
+  * flowtop: a top-like netfilter connection tracking tool
+  * bpfc: a [seccomp-]BPF (Berkeley packet filter) compiler, JIT disassembler
