=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	$(MAKE) PREFIX=/usr ETCDIR=/etc
+	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc
 	touch $@
 
 clean:
