## netsniff-ng 0.6.2

=== Makefile ===
--- 
+++ 
@@ -15,15 +15,14 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 1
+SUBLEVEL = 2
 EXTRAVERSION =
-NAME = aisatsana
+NAME = Circlon
 
 TOOLS ?= $(CONFIG_TOOLS)
-TOOLS ?= netsniff-ng trafgen astraceroute flowtop ifpps bpfc curvetun mausezahn
 
 # For packaging purposes, prefix can define a different path.
-PREFIX ?= /usr/local
+PREFIX ?= $(CONFIG_PREFIX)
 
 # Set to use ccache for compilation
 CCACHE ?=
@@ -35,7 +34,7 @@
 # Location of installation paths.
 SBINDIR = $(PREFIX)/sbin
 INCDIR = $(PREFIX)/include
-ETCDIR ?= /etc
+ETCDIR ?= $(CONFIG_ETCDIR)
 ETCDIRE = $(ETCDIR)/netsniff-ng
 MAN8DIR = $(PREFIX)/share/man/man8
 
@@ -49,7 +48,11 @@
 ifeq ("$(origin DEBUG)", "command line")
   DEBUG := 1
 else
-  DEBUG := 0
+  ifeq ($(CONFIG_DEBUG), 1)
+    DEBUG := 1
+  else
+    DEBUG := 0
+  endif
 endif
 
 # Compiler detection
@@ -66,10 +69,19 @@
 #   make CFLAGS="<flags>"
 CFLAGS_DEF  = -std=gnu99
 CFLAGS_DEF += -pipe
-CFLAGS_DEF += -O2
 
 ifeq ($(DEBUG), 1)
   CFLAGS_DEF += -g
+  CFLAGS_DEF += -O0
+  CFLAGS_DEF += -fno-omit-frame-pointer
+else
+  CFLAGS_DEF += -O2
+  CFLAGS_DEF += -fomit-frame-pointer
+  CFLAGS_DEF += -fno-strict-aliasing
+  CFLAGS_DEF += -fasynchronous-unwind-tables
+  ifneq ($(COMPILER), clang)
+    CFLAGS_DEF += -fno-delete-null-pointer-checks
+  endif
 endif
 
 ifeq ($(HARDENING), 1)
@@ -81,13 +93,6 @@
   CFLAGS_DEF += -ftrapv
   CFLAGS_DEF += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
   CFLAGS_DEF += -fexceptions
-endif
-
-CFLAGS_DEF += -fomit-frame-pointer
-CFLAGS_DEF += -fno-strict-aliasing
-CFLAGS_DEF += -fasynchronous-unwind-tables
-ifneq ($(COMPILER), clang)
-CFLAGS_DEF += -fno-delete-null-pointer-checks
 endif
 
 CFLAGS_MIN  = -D_REENTRANT
