=== bpfc/Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 		bpf_parser.tab.o \
 		die.o \
 		sysctl.o \
+		proc.o \
+		cpp.o \
 		bpfc.o
 
 bpfc-lex =	bpf_lexer.yy.o
