=== flowtop/Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 		screen.o \
 		die.o \
 		sysctl.o \
+		ui.o \
 		flowtop.o
 
 ifeq ($(CONFIG_GEOIP), 1)
