=== debian/changelog ===
netsniff-ng (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.8
  * debian/rules:
    + Removed empty dbg package.

 -- Kartik Mistry <kartik@debian.org>  Fri, 09 Dec 2016 20:52:29 +0530
