=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.netsniff-ng.org/
 Vcs-Git: https://anonscm.debian.org/collab-maint/netsniff-ng.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
