## netsniff-ng 0.6.3

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 2
+SUBLEVEL = 3
 EXTRAVERSION =
-NAME = Circlon
+NAME = Mookid
 
 TOOLS ?= $(CONFIG_TOOLS)
 
@@ -175,11 +175,11 @@
 uninstall: $(foreach tool,$(TOOLS),$(tool)_uninstall)
 
 %.yy.o: %.l
-	$(LEX) -P $(shell perl -wlne 'print $$1 if /lex-func-prefix:\s([a-z]+)/' $<) \
-	       -o $(BUILD_DIR)/$(shell basename $< .l).yy.c $(LEX_FLAGS) $<
+	$(LEXQ) -P $(shell perl -wlne 'print $$1 if /lex-func-prefix:\s([a-z]+)/' $<) \
+	        -o $(BUILD_DIR)/$(shell basename $< .l).yy.c $(LEX_FLAGS) $<
 %.tab.o: %.y
-	$(YAAC) -p $(shell perl -wlne 'print $$1 if /yaac-func-prefix:\s([a-z]+)/' $<) \
-		-o $(BUILD_DIR)/$(shell basename $< .y).tab.c $(YAAC_FLAGS) -d $<
+	$(YACCQ) -p $(shell perl -wlne 'print $$1 if /yacc-func-prefix:\s([a-z]+)/' $<) \
+		 -o $(BUILD_DIR)/$(shell basename $< .y).tab.c $(YAAC_FLAGS) -d $<
 
 $(foreach tool,$(TOOLS),$(eval $(call TOOL_templ,$(tool))))
