=== trafgen/Makefile ===
--- 
+++ 
@@ -21,6 +21,10 @@
 		timer.o \
 		sysctl.o \
 		cpp.o \
+		pcap_sg.o \
+		pcap_rw.o \
+		pcap_mm.o \
+		iosched.o \
 		trafgen_proto.o \
 		trafgen_l2.o \
 		trafgen_l3.o \
@@ -35,7 +39,7 @@
 
 trafgen-lex =	trafgen_lexer.yy.o
 
-trafgen-yaac =	trafgen_parser.tab.o
+trafgen-yacc =	trafgen_parser.tab.o
 
 trafgen-eflags = -I..
