=== debian/changelog ===
netsniff-ng (0.6.3-1) unstable; urgency=medium

  * New upstream release:
    + Fix FTBFS: error: 'GENL_ID_GENERATE' undeclared error (Closes: #867007)
  * debian/control:
    + Updated Standards-Version to 4.0.0
    + Fixed Vcs-Git URL.
  * debian/watch:
    + Updated to version 4.

 -- Kartik Mistry <kartik@debian.org>  Mon, 17 Jul 2017 13:04:10 +0530
