=== bpfc/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 bpfc-lex =	bpf_lexer.yy.o
 
-bpfc-yaac =	bpf_parser.tab.o
+bpfc-yacc =	bpf_parser.tab.o
 
 bpfc-eflags =	-I..
