=== trafgen/Makefile ===
--- 
+++ 
@@ -25,10 +25,13 @@
 		pcap_rw.o \
 		pcap_mm.o \
 		iosched.o \
+		trafgen_dev.o \
+		trafgen_dump.o \
 		trafgen_proto.o \
 		trafgen_l2.o \
 		trafgen_l3.o \
 		trafgen_l4.o \
+		trafgen_l7.o \
 		trafgen_lexer.yy.o \
 		trafgen_parser.tab.o \
 		trafgen.o
