=== debian/changelog ===
netsniff-ng (0.6.4-1) unstable; urgency=low

  * New upstream release:
    + Fix FTBFS error (Closes: #886385)
  * debian/control:
    + Updated to Standards-Version 4.1.3
  * Removed trailing whitespace from debian/changelog.
  * Update debian/compat to 11.

 -- Kartik Mistry <kartik@debian.org>  Sat, 06 Jan 2018 10:31:15 +0530
