=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Build-Depends: bison,
-               debhelper (>= 9),
+               debhelper (>= 11),
                dpkg-dev (>= 1.16.1~),
                flex,
                libcli-dev,
@@ -20,7 +20,7 @@
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.netsniff-ng.org/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
