=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_installdocs
 	dh_installman
 	dh_installchangelogs
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 	dh_compress
 	dh_fixperms
 	dh_installdeb
