=== debian/watch ===
version=4
opts="uversionmangle=s/-(rc\d*)$/~$1/" \
http://pub.netsniff-ng.org/netsniff-ng/ \
(?:|.*/)netsniff-ng[_\-]v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
