## netsniff-ng 0.6.5

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 4
+SUBLEVEL = 5
 EXTRAVERSION =
 NAME = Spiral Staircase
 
@@ -36,6 +36,7 @@
 INCDIR = $(PREFIX)/include
 ETCDIR ?= $(CONFIG_ETCDIR)
 ETCDIRE = $(ETCDIR)/netsniff-ng
+DATDIR = $(PREFIX)/share/netsniff-ng
 MAN8DIR = $(PREFIX)/share/man/man8
 
 # Shut up make, helper warnings, parallel compilation!
@@ -102,6 +103,7 @@
 CFLAGS_MIN += -DVERSION_STRING=\"$(VERSION_STRING)\"
 CFLAGS_MIN += -DVERSION_LONG=\"$(VERSION_LONG)\"
 CFLAGS_MIN += -DETCDIRE_STRING=\"$(ETCDIRE)\"
+CFLAGS_MIN += -DDATDIR_STRING=\"$(DATDIR)\"
 
 WFLAGS_DEF  = -Wall
 
@@ -170,6 +172,7 @@
 
 install: install_all
 install_all: $(foreach tool,$(TOOLS),$(tool)_install)
+	$(Q)$(call INSTD,$(DESTDIR)$(DATDIR))
 install_allbutcurvetun: $(foreach tool,$(filter-out curvetun,$(TOOLS)),$(tool)_install)
 install_allbutmausezahn: $(foreach tool,$(filter-out mausezahn,$(TOOLS)),$(tool)_install)
 uninstall: $(foreach tool,$(TOOLS),$(tool)_uninstall)
