=== debian/changelog ===
netsniff-ng (0.6.5-1build1) focal; urgency=medium

  * No-change rebuild against libcli1.10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 05:43:59 +0000

netsniff-ng (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    + Updated to use https mirror from upstream.
    + Use upstream PGP sign key.
  * debian/control:
    + Updated to Standards-Version 4.2.1
  * debian/rules:
    + Remove empty directory.

 -- Kartik Mistry <kartik@debian.org>  Thu, 20 Sep 2018 18:36:14 +0530

netsniff-ng (0.6.4-2) unstable; urgency=low

  * debian/control:
    + Updated Vcs-* URLs.
    + Updated to Standards-Version 4.1.4
  * debian/rules
    + Updated for new dh style.
    + Fixed Hardening.

 -- Kartik Mistry <kartik@debian.org>  Mon, 18 Jun 2018 14:15:05 +0530
