=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
                libsodium-dev,
                liburcu-dev,
                zlib1g-dev
-Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 4.1.3
-Homepage: http://www.netsniff-ng.org/
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
+Standards-Version: 4.2.1
+Homepage: http://netsniff-ng.org/
+Vcs-Git: https://salsa.debian.org/debian/netsniff-ng.git
+Vcs-Browser: https://salsa.debian.org/debian/netsniff-ng
 
 Package: netsniff-ng
 Architecture: any
