=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sign/" \
https://mirror.distanz.ch/netsniff-ng/ \
    (?:|.*/)netsniff-ng[_\-]v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
