=== debian/changelog ===
netsniff-ng (0.6.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    + Updated to Standards-Version 4.3.0
  * debian/upstream/signing-key.asc:
    + Make it really usable.
  * Added debian/gitlab-ci.yml.

 -- Kartik Mistry <kartik@debian.org>  Mon, 20 May 2019 18:53:24 +0530
