=== debian/control ===
--- 
+++ 
@@ -17,11 +17,10 @@
                libsodium-dev,
                liburcu-dev,
                zlib1g-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
+Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://netsniff-ng.org/
 Vcs-Git: https://salsa.debian.org/debian/netsniff-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/netsniff-ng
