## netsniff-ng 0.6.8

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 6
+SUBLEVEL = 8
 EXTRAVERSION =
-NAME = Syro
+NAME = Flutternozzle
 
 TOOLS ?= $(CONFIG_TOOLS)
