=== debian/changelog ===
netsniff-ng (0.6.8-3) unstable; urgency=low

  * debian/control:
    + Recommends ntpsec instead of ntp.
    + Updated to Standards-Version 4.6.0
  * Simplified debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Apr 2022 16:55:30 +0530

netsniff-ng (0.6.8-2) unstable; urgency=medium

  * debian/control:
    + Updated Uploaders as per MIA team request (Closes: #969983)

 -- Kartik Mistry <kartik@debian.org>  Tue, 12 Jan 2021 09:11:58 +0530

netsniff-ng (0.6.8-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release:
    + Fix mausezahn build with GCC 10 (Closes: #957601)
  * debian/control:
    + Updated to Standards-Version 4.5.1
    + Switched to debhelper-compat.
    + Added 'Rules-Requires-Root' field.
  * Added debian/upstream/metadata file.
  * debian/rules:
    + Do not call dh_dwz, which generates unneeded debug files.

  [ Helmut Grohne ]
  * debian/rules:
    + Fix FTCBFS: Tell ./configure about the host architecture.
      (Closes: #914642)

 -- Kartik Mistry <kartik@debian.org>  Mon, 11 Jan 2021 18:36:02 +0530
