=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Build-Depends: bison,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                flex,
                libcli-dev,
@@ -18,17 +18,17 @@
                liburcu-dev,
                zlib1g-dev
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
-Uploaders: Kartik Mistry <kartik@debian.org>,
-           Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 4.3.0
+Uploaders: Kartik Mistry <kartik@debian.org>
+Standards-Version: 4.6.0
 Homepage: http://netsniff-ng.org/
 Vcs-Git: https://salsa.debian.org/debian/netsniff-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/netsniff-ng
+Rules-Requires-Root: no
 
 Package: netsniff-ng
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ntp
+Recommends: ntpsec
 Description: Linux network packet sniffer toolkit
  netsniff-ng is a high performance Linux network sniffer for packet inspection.
  It can be used for protocol analysis, reverse engineering or network
