=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sign/" \
https://mirror.distanz.ch/netsniff-ng/ \
    @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
