=== debian/changelog ===
netsniff-ng (0.6.9-2) unstable; urgency=low

  * Acknowledge NMU. Thanks Chris Hofstaedtler.
  * Updated debian/watch to standard 5.
  * debian/control:
    + Updated to Standards-Version 4.7.2
    + Removed 'Rules-Requires-Root' field.
  * debian/copyright:
    + Removed old FSF address.
  * debian/rules:
    + Fix clean rules to avoid FTBFS after successful build (Closes: #1047501)
  * Added patch to fix missing CPPFLAGS in the build.

 -- Kartik Mistry <kartik@debian.org>  Sun, 07 Dec 2025 20:14:32 +0530

netsniff-ng (0.6.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream fix to build with gcc-15 (Closes: #1097456)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Sep 2025 18:18:23 +0200

netsniff-ng (0.6.9-1) unstable; urgency=medium

  * New upstream release:
    + Dropped upstream patch, merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Wed, 08 Jan 2025 11:18:59 +0530

netsniff-ng (0.6.8-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Recommends: add | time-daemon (Closes: #1001825)
  * Add upstream patch to fix makefile ordering (Closes: #1001825)
  * Replace obsolete Build-Depends: libncurses5-dev with libncurses-dev

  [ Kartik Mistry ]
  * Updated Standards-Version to 4.7.0

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jan 2025 18:28:20 +0530
