=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: netsniff-ng
 Section: net
 Priority: optional
-Build-Depends: bison,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
+               bison,
                flex,
                libcli-dev,
                libgeoip-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libnet1-dev,
                libnetfilter-conntrack-dev,
                libnl-3-dev,
@@ -19,16 +19,15 @@
                zlib1g-dev
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: http://netsniff-ng.org/
 Vcs-Git: https://salsa.debian.org/debian/netsniff-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/netsniff-ng
-Rules-Requires-Root: no
 
 Package: netsniff-ng
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ntpsec
+Recommends: ntpsec | time-daemon
 Description: Linux network packet sniffer toolkit
  netsniff-ng is a high performance Linux network sniffer for packet inspection.
  It can be used for protocol analysis, reverse engineering or network
