=== debian/rules ===
--- 
+++ 
@@ -7,21 +7,31 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-CFLAGS+=$(CPPFLAGS)
-CXXFLAGS+=$(CPPFLAGS)
+#upstream hardening
+export DEBUG = 0
+export HARDENING = 1
+
+include /usr/share/dpkg/architecture.mk
+export CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
 
 #NACL needs this
 export NACL_INC_DIR=/usr/include/sodium
 export NACL_LIB=sodium
 
 override_dh_auto_clean:
+	@if [ -f Config ]; then \
+		$(MAKE) distclean; \
+	fi
+
 	dh_clean
 
 override_dh_auto_configure:
 	./configure
 
 override_dh_auto_build:
-	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc
+	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc \
+			CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
+			LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc DESTDIR=$(CURDIR)/debian/netsniff-ng install
@@ -30,5 +40,8 @@
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
 
+override_dh_dwz:
+	#Do not generate debug files.
+
 %:
 	dh $@
