=== debian/watch ===
Version: 5

Source: https://mirror.distanz.ch/netsniff-ng/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sign/
